---
id: ci-application-parameter-list
title: Retrieve parameters for a specific application
description: Retrieve a list of parameters for a specific application by providing its ID.
sidebar_label: Retrieve parameters for a specific application
hide_title: true
hide_table_of_contents: true
api: >-
  eJytVMtu2zAQ/BVim0MLCLaT9qSb4aSF20sRuygKwzBoamUxkUiGXLkxBP17sZQfcpKmOVQXvfYxMzvcBjIMymtH2hpI4RbJa9yikKLUgYTNhZNeVkjog8itF1IEh0rnWgnpXKmV5FSx3gnn7VZn2myEpiCm1wNIgOQmQLqAyXQ4uYZlAtahjxnTDFJQetUrsjq2Srk5JHDqDemiASMrhBR0BglohuskFZCAx4dae8wgJV9jAkEVWElIG6CdixmGcIMe2uQJ33mBYnrNNKnAPqEBtEsuHJw1AQPXuhqN+HZe4PtJHb/XLhOhVgpDyOuy3LEKyhpCQ5zdazG8C1yieQ5Xei93zJGwCr3vdn2HKuriWUfSHbBOlmNUIK/NBl6iypEHskdtGSE+ysqVnD3+OVuNJ5Ob2Wz17eYXK7aVZf3G+jH0Hw3k5dXH2Vplny7eXWC+4Q4BlUfqtVhbW6I0z3pMTcbiYRC/C6QC/XkjoQP7M1Y7a8q2aNsESFNH8jSF4wChjVdEU3tNu2i5NUqPflxTAeliyZ6okArL5t1gZ1H+BcP+YBudtcMjKuCSfnswce1LSKEgciEdDpUemLosXSkpt74aKFtF5x1AzNgb3Zj7UI5KcR3YOz4qF4Mg2T98tr6SBCl8/TkHJqdNbmP6XonuYCbA8DqNLwejwYin4mygSpqTw07b4U074en0mtM5+P97plOD8JGGrpTaMIGodLOf0ALOoaVxi5yGtEygsIE4sGnWMuAPX7Ytf36o0bMZlnwUvJZrFm7RQKYDP2eQ5rIM+Arb97f7BfVBvLJw/sLisBMMb4T9WQRI4B533S5sl20CBcoMfcTV/RgrhY56Kc82z5mZv9zMIQF5bq4nZorVX4TTNF3E3N6jadsjOuJ3Bti2fwBsOjRi
sidebar_class_name: get api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-application-parameter-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Retrieve parameters for a specific application"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application/{id}/parameter"}
  context={"endpoint"}
>

</MethodEndpoint>

Retrieve a list of parameters for a specific application by providing its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the application."}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Parameters retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the parameter.","example":"AWS_ACCESS_KEY"},"value":{"type":"string","description":"The value of the parameter.","example":"a123Sbcd4$#$efg"},"secret":{"type":"boolean","description":"Indicates whether the parameter is a secret.","example":true}},"title":"ApplicationParameter"}}}}}}}
>

</StatusCodes>

